package induction_examples;

import java.util.Date;

/**
 * Transaction is an immutable class representing a deposit to or withdrawal
 * from a bank account.
 * 
 * @specfield amount : double // Amount of deposit or withdrawal.
 * @specfield date : Date // Date and time of transaction.
 * 
 */
public class Transaction {
    private Date date;
    private double amount;

    /**
     * @return amount of deposit (positive value) or withdrawal (negative
     *         value).
     */
    public double getAmount() {
        return amount;
    }

    // etc... (yes, you do need a constructor)
}
