package singleton_demo;

import java.util.Scanner;

/**
 * Helper class for reading/writing from console (because in a real file
 * server, everything would come over the network, so the ClientHandler
 * wouldn't deal with console I/O).
 * 
 * @author Krysta Yousoufian, CSE 331
 *
 */
public class IOUtil {
	// global shared console scanner
	private static final Scanner CONSOLE = new Scanner(System.in);
	
	public static String getFilename() {
		System.out.print("Filename: ");
		return CONSOLE.next();
	}
}
